<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\City;
use App\Models\Country;
use Illuminate\Http\Request;
use PHPUnit\Framework\Constraint\Count;

class CountriesController extends Controller
{
    public function index()
    {
        $rows = Country::orderByDesc('id')->get();
        return view('admin.countries.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.countries.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
        ]);
        $country = new Country();
        $country['name->ar'] = $request['name_ar'];
        $country['name->en'] = $request['name_en'];
        $country->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('countries.index');
    }

    public function edit($id)
    {
        $row = Country::find($id);
        return view('admin.countries.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
        ]);
        $country = Country::find($id);
        $country['name->ar'] = $request['name_ar'];
        $country['name->en'] = $request['name_en'];

        $country->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('countries.index');

    }
    public function destroy($id){



        Country::destroy($id);
        toast('تمت العملية بنجاح','success');
        return back();
    }
    public function show($id){
        $rows = City::whereCountryId($id)->orderByDesc('id')->get();

        return view('admin.cities.index',compact('rows','id'));
    }
}
