<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Order;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class OrdersController extends Controller
{
    public function index()
    {
        $rows = Order::orderByDesc('id')->get();
        return view('admin.orders.index', compact('rows'));
    }

    public function edit($id)
    {
        $row = Order::find($id);
        return view('admin.orders.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
             'status'=>'required'
        ]);

        if ($request['system_money'] == "true") {
            Order::where('id', $id)->update([
                'system_money' => 0,
                'status'=>$request['status']
            ]);
        }
        toast('تم حفظ التغييرات بنجاح','success');
        return redirect()->route('orders.index');


    }
    public function order_filter(Request $request){
        $rows = Order::whereWorkerId($request['worker_id'])->get();
        if ($request['start'] && $request['end']) {

            if ($request['start'] == $request['end']) {
                $rows = $rows->whereDate('created_at', '>=', Carbon::parse($request['start'])->toDateString());

            } else {
                $rows = $rows->whereBetween('created_at', [Carbon::parse($request['start']), Carbon::parse($request['end'])]);

            }
        } elseif ($request['start'] && $request['end'] == null) {

            $rows = $rows->where('created_at', '>=', Carbon::parse($request['start']));
        } elseif ($request['end'] && $request['start'] == null) {
            $rows = $rows->where('created_at', '<=', Carbon::parse($request['end']));
        }

        return view('admin.orders.index', compact('rows'));

    }

    public function destroy($id)
    {
        Order::destroy($id);
        toast('تم الحذف بنجاح', 'success');
        return redirect()->back();
    }

    public function show($id)
    {
        $row = Order::find($id);
        $categories = $row->categories;
        return view('admin.orders.show', compact('row', 'categories'));
    }
}
