<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\NotificationsResource;
use App\Models\Notification;
use Illuminate\Http\Request;
use JWTAuth;

class NotificationsController extends Controller
{
    public function index()
    {
        $lang = \request()->header('Accept-Language','ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }

        $rows = Notification::whereUserId($user->id)->orderByDesc('id')->paginate(10);

        return NotificationsResource::collection($rows)->additional(['value' => true, 'code' => 200]);

    }
}
