<?php

Route::get('/', function () {
    return redirect()->route('dashboard');
});

Route::group(['namespace' => 'Admin'], function () {
    Route::get('login', 'HomeController@login_form')->name('admin_login');
    Route::post('authenticate', 'HomeController@authenticate')->name('authenticate');
    Route::group(['middleware' => 'admin', 'prefix' => 'admin'], function () {
        Route::get('/', 'HomeController@home')->name('dashboard');
        Route::get('logout', 'HomeController@admin_logout')->name('admin_logout');
        Route::resource('admin', 'AdminsController');
        Route::resource('setting', "SettingsController");
        Route::resource('users', 'UsersController');
        Route::resource('workers', 'WorkersController');
        Route::get('worker_orders/{id}', 'WorkersController@worker_orders')->name('worker_orders');
        Route::get('change_order_status/{id}', 'WorkersController@change_order_status')->name('change_order_status');
        Route::post('change_order_status_post/{id}', 'WorkersController@change_order_status_post')->name('change_order_status_post');
        Route::get('order_search', 'WorkersController@order_search')->name('order_search');
        Route::get('order_filter', 'OrdersController@order_filter')->name('order_filter');
        Route::resource('orders', 'OrdersController');
        Route::resource('categories', 'CategoriesController');
        Route::get('create_sub_categories/{id}', 'SubCategoriesController@create')->name('sub_categories.create');
        Route::get('edit_sub_categories/{id}', 'SubCategoriesController@edit')->name('sub_categories.edit');
        Route::post('store_sub_categories', 'SubCategoriesController@store')->name('sub_categories.store');
        Route::patch('update_sub_categories/{id}', 'SubCategoriesController@update')->name('sub_categories.update');

        Route::resource('countries', 'CountriesController');

        Route::get('create_cities/{id}', 'CitiesController@create')->name('cities.create');
        Route::get('edit_cities/{id}', 'CitiesController@edit')->name('cities.edit');
        Route::post('store_cities', 'CitiesController@store')->name('cities.store');
        Route::patch('update_cities/{id}', 'CitiesController@update')->name('cities.update');
        Route::delete('delete_cities/{id}', 'CitiesController@destroy')->name('cities.destroy');


        Route::resource('notifications', 'NotificationsController');
        Route::resource('transfers', 'TransfersController');
        Route::resource('admin_transfers', 'AdminTransfersController');
        Route::resource('banks', 'BanksController');
        Route::resource('contracts', 'ContractsController');
        Route::resource('packages', 'PackagesController');
        Route::resource('alZama', 'AlzamaController');

        Route::resource('subscription_transfers', 'SubscriptionTransfersController');
        Route::resource('sliders', 'SlidersController');

    });


});
